SET(IPOPT_INTERFACES_C_SOURCES
    ${IPOPT_SRCDIR}/Interfaces/IpInterfacesRegOp.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpIpoptApplication.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpSolveStatistics.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpStdCInterface.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpStdFInterface.c
    ${IPOPT_SRCDIR}/Interfaces/IpStdInterfaceTNLP.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpTNLPAdapter.cpp
    ${IPOPT_SRCDIR}/Interfaces/IpTNLPReducer.cpp
    )
SET(IPOPT_INTERFACES_C_HEADER
   ${IPOPT_SRCDIR}/IpAlgTypes.hpp
   ${IPOPT_SRCDIR}/IpInterfacesRegOp.hpp
   ${IPOPT_SRCDIR}/IpIpoptApplication.hpp
   ${IPOPT_SRCDIR}/IpNLP.hpp
   ${IPOPT_SRCDIR}/IpReturnCodes.hpp
   ${IPOPT_SRCDIR}/IpSolveStatistics.hpp
   ${IPOPT_SRCDIR}/IpStdInterfaceTNLP.hpp
   ${IPOPT_SRCDIR}/IpTNLPAdapter.hpp
   ${IPOPT_SRCDIR}/IpTNLP.hpp
   ${IPOPT_SRCDIR}/IpTNLPReducer.hpp
   ${IPOPT_SRCDIR}/IpReturnCodes_inc.h
)
